Rental Records
Remove coverage from a unit rental
Ends coverage for a customer, applying a prorated credit memo for their current or future invoices
DELETE
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
rentalRecords
/
{unitRentalRecordUuid}
/
coverage
Remove coverage from a unit rental
curl --request DELETE \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/rentalRecords/{unitRentalRecordUuid}/coverage \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"endAtEndOfCycle": false,
"enrollInPrivateCoverage": true
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/rentalRecords/{unitRentalRecordUuid}/coverage"
payload = {
"endAtEndOfCycle": False,
"enrollInPrivateCoverage": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({endAtEndOfCycle: false, enrollInPrivateCoverage: true})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/rentalRecords/{unitRentalRecordUuid}/coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Coverage removal options
Whether to end coverage at the end of the current billing cycle
Example:
false
Whether to enroll the user in private coverage after removing current coverage. Defaults to true for SafeLease compatibility.
Example:
true
Response
200
Coverage removed successfully
Previous
Get the active scheduled move out requestReturns the current active scheduled move out request for the unit rental record. Responds 404 when there is no active request.
Next
⌘I
Remove coverage from a unit rental

